Skip to main content
`Ctrl`+`K`

# MatFactorGetPreferredOrdering

The preferred ordering for a particular matrix factor object

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetPreferredOrdering(Mat mat, MatFactorType ftype, MatOrderingType *otype)

Logically Collective

## Input Parameters

- mat - the matrix obtained with `MatGetFactor()`

- ftype - the factorization type to be used

## Output Parameter

- otype - the preferred ordering type

## See Also

Matrices, `Mat`, Matrix Factorization, `MatFactorType`, `MatOrderingType`, `MatCopy()`, `MatDuplicate()`, `MatGetFactorAvailable()`, `MatGetFactor()`, `MatLUFactorSymbolic()`, `MatCholeskyFactorSymbolic()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages